oracle.pgx.api

## Class GraphMetaData

- java.lang.Object
- - oracle.pgx.api.GraphMetaData

-     public class GraphMetaData
      extends Object

  Meta information about `PgxGraph`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphMetaData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `GraphConfig` | `getConfig()` Gets the graph configuration object used to specify the data source of this graph.
    `long` | `getCreationRequestTimestamp()` Gets the timestamp (milliseconds since Jan 1st 1970) when this graph was requested to be created.
    `long` | `getCreationTimestamp()` Gets the timestamp (milliseconds since Jan 1st 1970) when this graph finished creation.
    `String` | `getDataSourceVersion()` Gets the format-specific version identifier provided by data-source (timestamp for files, snapshot ID for databases).
    `IdType` | `getEdgeIdType()` Gets the edge ID type of this graph.
    `long` | `getMemoryMb()` Gets the estimated number of memory this graph (including its properties) consumes in memory (in megabytes).
    `long` | `getNumEdges()` Gets the number of edges
    `long` | `getNumVertices()` Gets the number of vertices
    `IdType` | `getVertexIdType()` Gets the vertex ID type of this graph.
    `int` | `hashCode()`
    `void` | `setConfig(GraphConfig config)`
    `void` | `setCreationRequestTimestamp(long creationRequestTimestamp)`
    `void` | `setCreationTimestamp(long creationTimestamp)`
    `void` | `setDataSourceVersion(String dataSourceVersion)`
    `void` | `setEdgeIdType(IdType edgeIdType)`
    `void` | `setMemoryMb(long memoryMb)`
    `void` | `setNumEdges(long numEdges)`
    `void` | `setNumVertices(long numVertices)`
    `void` | `setVertexIdType(IdType vertexIdType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphMetaData

          public GraphMetaData()

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getConfig

          public GraphConfig getConfig()

      Gets the graph configuration object used to specify the data source of this graph.
      Returns:
        the config. Can be `null` if graph was not created from a datasource.

    - #### getCreationRequestTimestamp

          public long getCreationRequestTimestamp()

      Gets the timestamp (milliseconds since Jan 1st 1970) when this graph was requested to be created.
      Returns:
        the creationRequestTimestamp

    - #### getCreationTimestamp

          public long getCreationTimestamp()

      Gets the timestamp (milliseconds since Jan 1st 1970) when this graph finished creation.
      Returns:
        the creationTimestamp

    - #### getDataSourceVersion

          public String getDataSourceVersion()

      Gets the format-specific version identifier provided by data-source (timestamp for files, snapshot ID for databases).
      Returns:
        the dataSourceVersion. Can be `null` if graph was not created from a datasource.

    - #### getEdgeIdType

          public IdType getEdgeIdType()

      Gets the edge ID type of this graph.
      Returns:
        the edgeIdType

    - #### getMemoryMb

          public long getMemoryMb()

      Gets the estimated number of memory this graph (including its properties) consumes in memory (in megabytes).
      Returns:
        the memoryMb

    - #### getNumEdges

          public long getNumEdges()

      Gets the number of edges
      Returns:
        the numEdges

    - #### getNumVertices

          public long getNumVertices()

      Gets the number of vertices
      Returns:
        the numVertices

    - #### getVertexIdType

          public IdType getVertexIdType()

      Gets the vertex ID type of this graph.
      Returns:
        the vertexIdType

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### setConfig

          public void setConfig(GraphConfig config)

      Parameters:
        `config` - the `GraphConfig` object to set for this `GraphMetaData` object

    - #### setCreationRequestTimestamp

          public void setCreationRequestTimestamp(long creationRequestTimestamp)

      Parameters:
        `creationRequestTimestamp` - the creationRequestTimestamp to set

    - #### setCreationTimestamp

          public void setCreationTimestamp(long creationTimestamp)

      Parameters:
        `creationTimestamp` - the creationTimestamp to set

    - #### setDataSourceVersion

          public void setDataSourceVersion(String dataSourceVersion)

      Parameters:
        `dataSourceVersion` - the dataSourceVersion to set

    - #### setEdgeIdType

          public void setEdgeIdType(IdType edgeIdType)

      Parameters:
        `edgeIdType` - the edgeIdType to set

    - #### setMemoryMb

          public void setMemoryMb(long memoryMb)

      Parameters:
        `memoryMb` - the memoryMb to set

    - #### setNumEdges

          public void setNumEdges(long numEdges)

      Parameters:
        `numEdges` - the numEdges to set

    - #### setNumVertices

          public void setNumVertices(long numVertices)

      Parameters:
        `numVertices` - the numVertices to set

    - #### setVertexIdType

          public void setVertexIdType(IdType vertexIdType)

      Parameters:
        `vertexIdType` - the vertexIdType to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.